summaryrefslogtreecommitdiffstats
path: root/office/pandoc/pandoc.SlackBuild
diff options
context:
space:
mode:
author Peter Wang2010-05-13 01:00:34 +0200
committer Robby Workman2010-05-13 01:00:34 +0200
commit8256edc1d8f162c5ac989533b039678b15fe71ea (patch)
treec8ac50bf480ca06c23f00ab565913885aad71291 /office/pandoc/pandoc.SlackBuild
parent65c913a07947069993ae096a55936915c22d53df (diff)
downloadslackbuilds-8256edc1d8f162c5ac989533b039678b15fe71ea.tar.gz
office/pandoc: Added to 13.0 repository
Diffstat (limited to 'office/pandoc/pandoc.SlackBuild')
-rw-r--r--office/pandoc/pandoc.SlackBuild69
1 files changed, 69 insertions, 0 deletions
diff --git a/office/pandoc/pandoc.SlackBuild b/office/pandoc/pandoc.SlackBuild
new file mode 100644
index 0000000000..9cce2501ef
--- /dev/null
+++ b/office/pandoc/pandoc.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for pandoc
+
+# Written by Peter Wang <novalazy@gmail.com>
+
+PRGNAM=pandoc
+VERSION=${VERSION:-1.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Pandoc explicitly requires parsec < 3 because parsec 3 can be slower (see
+# issue #116). We patch the cabal file to allow the build to proceed anyway,
+# but only if parsec 2 is not installed. Then, if both are installed, parsec 2
+# is still preferred.
+if ! ghc-pkg list --simple-output parsec | grep -q 'parsec-2'
+then
+ patch -p0 < $CWD/pandoc-1.3-parsec3.patch
+fi
+
+make install \
+ PREFIX=/usr \
+ DESTDIR=$PKG \
+ DATAPATH=$PKG/usr \
+ DOCDIR=doc/$PRGNAM-$VERSION
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changelog COPYRIGHT COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}